#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'#nonlelang.pengumuman_pemenang_pra'}
#{/set}

<ul class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}" >&{'#nonlelang.home'}</a></li>
    <li><a href="@{nonlelang.PengadaanLCtr.view(pl.lls_id)}">&{'#nonlelang.info_paket'}</a></li>
    <li class="active">&{'#nonlelang.pengumuman_pemenang'}</li>
</ul>
<div class="content">
#{alert /}
#{form @nonlelang.PengadaanLCtr.kirimUndanganPra(pl.lls_id) }
    <table class="table table-sm">
        <tr>
            <th width="50">No</th>
            <th>&{'#nonlelang.peserta'}</th>
            <th width="300">&{'#nonlelang.email'}</th>
            <th width="50">&{'#nonlelang.pemenang'}</th>
        </tr>
        #{list items:pl.pesertaList, as:'peserta'}
            <tr>
                <td>${peserta_index}</td>
                <td>${peserta?.rekanan.rkn_nama}</td>
                <td>${peserta?.rekanan.rkn_email}</td>
                <td>#{if peserta?.isPemenang()}<i class="fa fa-check-circle fa-lg"></i>#{/if}
                    #{else}<i class="fa fa-times-circle fa-lg" ></i>#{/else}</td>
            </tr>
        #{/list}
    </table>
    #{if adaPemenang}
        #{if sudahKirim}
            <div class="alert alert-success">&{'#nonlelang.undangan_telah_dikirim'}</div>
        #{/if}
        #{else}
            <div class="form-group">
                #{set 'a'}&{'nonlelang.btn_kirim_undangan'}#{/set}
                #{saveButton title:a/}
            #{backButton action:@nonlelang.PengadaanLCtr.view(pl.lls_id) /}
            </div>
        #{/else}
    #{/if}
    #{else} <div class="alert alert-danger">&{'#nonlelang.harus_menetapkan_pemenang'}</div>#{/else}
#{/form}
</div>